// Smooth Scroll

const lenis = new Lenis();
lenis.on("scroll", (e) => {
  console.log(e);
});
function raf(time) {
  lenis.raf(time);
  requestAnimationFrame(raf);
}
requestAnimationFrame(raf);

// Preloader

window.addEventListener("load", function () {
  setTimeout(function () {
    var loaderOverlay = document.querySelector(".loader-overlay");
    loaderOverlay.style.transition = "opacity 0.5s";
    loaderOverlay.style.opacity = "0";
    setTimeout(function () {
      loaderOverlay.style.display = "none";
      swiperSlider.autoplay.start();
    }, 500); // Adjust the time for display:none to match your transition time
  }, 2000); // Adjust the initial delay time
});

// Navbar fixed on scroll

window.addEventListener("scroll", function () {
  var sticky = document.querySelector(".navbar-main");
  var scroll = window.pageYOffset || document.documentElement.scrollTop;
  if (scroll >= 10) {
    sticky.classList.add("navbar-fixed");
  } else {
    sticky.classList.remove("navbar-fixed");
  }
});

// Scroll to top----------------

// Get the return-top button element
var returnTopButton = document.getElementById("return-top");

// Function to handle the scroll event
function handleScroll() {
  if (window.scrollY >= 50) {
    // If page is scrolled more than 50px
    returnTopButton.style.opacity = "1"; // Fade in the arrow
  } else {
    returnTopButton.style.opacity = "0"; // Else fade out the arrow
  }
}

// Add a scroll event listener to the window
window.addEventListener("scroll", handleScroll);

// Function to scroll to the top when the button is clicked
function scrollToTop() {
  // When arrow is clicked

  window.scrollTo({
    top: 0, // Scroll to the top of the page
    behavior: "smooth", // Smooth scrolling behavior
  });
}

// Add a click event listener to the return-top button
returnTopButton.addEventListener("click", scrollToTop);

// Facts Counter
$(window).scroll(function () {
  var oTop = $("#counterFacts").offset().top - window.innerHeight;
  if ($(window).scrollTop() > oTop) {
    $(".counter-value").each(function () {
      var $this = $(this),
        countTo = $this.attr("data-count");
      $({
        countNum: $this.text(),
      }).animate(
        {
          countNum: countTo,
        },
        {
          duration: 2000,
          easing: "swing",
          step: function () {
            $this.text(Math.floor(this.countNum));
          },
          complete: function () {
            $this.text(this.countNum);
          },
        }
      );
    });
  }
});

// Initialize the Banner Swiper slider
const swiperBanner = new Swiper(".swiper-banner", {
  // Optional parameters
  loop: true,
  speed: 1500,
  effect: "slide",
  autoplay: {
    delay: 3000,
    disableOnInteraction: false,
  },
});

// Services Slider

const swiperChoose = new Swiper(".swiper-why-choose", {
  // Optional parameters
  loop: true,
  speed: 1500,
  autoplay: {
    delay: 2000,
    disableOnInteraction: false,
  },
  breakpoints: {
    360: {
      slidesPerView: 1,
    },
    768: {
      slidesPerView: 2,
      spaceBetween: 10,
    },
    1024: {
      slidesPerView: 3,
      spaceBetween: 20,
    },
  },

  // If we need pagination
  pagination: {
    el: ".swiper-pagination",
    clickable: true,
  },

  // Navigation arrows
  navigation: {
    nextEl: ".swiper-choose-next",
    prevEl: ".swiper-choose-prev",
  },
});

const swiperVision = new Swiper(".swiper-vision", {
  // Optional parameters
  loop: true,
  speed: 1500,
  autoplay: {
    delay: 2000,
    disableOnInteraction: false,
  },
  breakpoints: {
    360: {
      slidesPerView: 1,
    },
    768: {
      slidesPerView: 2,
      spaceBetween: 10,
    },
    1024: {
      slidesPerView: 3,
      spaceBetween: 20,
    },
  },

  // If we need pagination
  pagination: {
    el: ".swiper-pagination",
    clickable: true,
  },

  // Navigation arrows
  navigation: {
    nextEl: ".swiper-choose-next",
    prevEl: ".swiper-choose-prev",
  },
});

const swiperTechERP = new Swiper(".swiper-tech-erp", {
  // Optional parameters
  loop: true,
  speed: 1500,
  autoplay: {
    delay: 2000,
    disableOnInteraction: false,
  },
  breakpoints: {
    360: {
      slidesPerView: 2,
    },
    576: {
      slidesPerView: 3,
      spaceBetween: 10,
    },
    768: {
      slidesPerView: 4,
      spaceBetween: 10,
    },
    1024: {
      slidesPerView: 6,
      spaceBetween: 20,
    },
    1200: {
      slidesPerView: 8,
      spaceBetween: 10,
    },
  },

  // If we need pagination
  pagination: {
    el: ".swiper-pagination",
    clickable: true,
  },

  // Navigation arrows
  navigation: {
    nextEl: ".swiper-button-next",
    prevEl: ".swiper-button-prev",
  },
});

//scroll;
$(".course-con-item-scroll").mCustomScrollbar({
  scrollButtons: { enable: true },
  theme: "light-thick",
  scrollbarPosition: "outside",
  callbacks: {
    onInit: function () {
      var ths = $(this);
      $(this).data("mCS").opt.callbacks.onTotalScrollOffset = Math.abs(
        this.mcs.content.innerHeight() -
          (ths.position().top + ths.outerHeight(true))
      );
    },
    onTotalScroll: function () {
      /* your callback */
    },
    alwaysTriggerOffsets: false,
  },
});

const tooltipTriggerList = document.querySelectorAll(
  '[data-bs-toggle="tooltip"]'
);
const tooltipList = [...tooltipTriggerList].map(
  (tooltipTriggerEl) => new bootstrap.Tooltip(tooltipTriggerEl)
);
